curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/employees \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"results": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"location": {
"lat": 50.0216707,
"lng": 3.6887328
},
"assigned_position": "HR assistant",
"low_data_availability": true,
"organisational_unit": "e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1",
"last_updated": "2021-01-21T17:32:28Z"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"active": true,
"location": {
"lat": 51.0216707,
"lng": 2.6887328
},
"assigned_position": "Staffing coordinator",
"low_data_availability": false,
"organisational_unit": "7a9f3d72-36b4-4b39-87a2-3df1540ebf9e",
"last_updated": "2021-01-22T15:02:00Z"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"active": true,
"location": {
"lat": 51.0516707,
"lng": 4.6887328
},
"assigned_position": "HR analyst",
"low_data_availability": false,
"organisational_unit": "e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1",
"last_updated": "2021-01-21T17:46:29Z"
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]List Employees
Get a list of all Employees available in the system. This can for example be used to keep track of proper synchronisation between your system and the Skill Engine API.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
1 <= x <= 20050
The applied offset for returned entities, results starting from offset up to offset + limit.
x >= 0This parameter can be used to only include entities with the active attribute set to true or false. If the parameter is not set, all entities will be included.
true
This parameter can be used to only include Employees linked to the specified organisational_unit. If organisational_unit="null", only Employees without a linked Organisatioanl Unit are included. If the parameter is not set, all entities will be included.
"c3903505-eb84-42dc-a79f-5d8b1fe897b7"
This parameter can be used to only include entities for which sufficient data is available (low_data_availability=false) or is not available (low_data_availability=true) for qualitative Skill inference. If the parameter is not set, all entities will be included.
true
The unique ID of a Skill, consisting of alphanumeric characters and hyphens. Setting this query parameter will only include Employees that have this Skill in their Skill Profile.
1 - 100"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The external vendor vocabulary you want to use when passing the skill_id query parameter. This will only work for vendors that are activated on your tenant.
techwolf, workday, sap_attribute_library "workday"
Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
custom_properties ["custom_properties"]
Response
OK
Total number of Employee objects stored inside the system.
x >= 03
Subset of Employees starting from offset up to offset + limit.
Show child attributes
Show child attributes
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"location": { "lat": 50.0216707, "lng": 3.6887328 },
"assigned_position": "HR assistant",
"low_data_availability": true,
"organisational_unit": "e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1",
"last_updated": "2021-01-21T17:32:28Z"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"active": true,
"location": { "lat": 51.0216707, "lng": 2.6887328 },
"assigned_position": "Staffing coordinator",
"low_data_availability": false,
"organisational_unit": "7a9f3d72-36b4-4b39-87a2-3df1540ebf9e",
"last_updated": "2021-01-22T15:02:00Z"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"active": true,
"location": { "lat": 51.0516707, "lng": 4.6887328 },
"assigned_position": "HR analyst",
"low_data_availability": false,
"organisational_unit": "e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1",
"last_updated": "2021-01-21T17:46:29Z"
}
]
Was this page helpful?